WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] [Plugin: WordPress Beta Tester] Wont upgrade to nighly (6 posts)

  1. Tevya
    Member
    Posted 4 years ago #

    I'm trying to use the Beta Tester plugin to help beta test WP 2.9. Give back to the community a little and all that. I'd prefer to use this plugin as its so much easier than the manual upgrade. However, I get this error every time I click the upgrade button:

    "Downloading update from http://wordpress.org/nightly-builds/wordpress-2.8.4-latest.zip.

    "Download failed.: Not Found

    "Installation Failed"

    I'm not sure what's wrong. Any ideas? It struck me that perhaps "2.8.4" is incorrect in the zip file's name, as it should be 2.9 or something. 2.8.4 is what I have installed currently and is not a beta version. But if so, I'm unsure of how to change it. Any help would be appreciated.

  2. You need to switch the plugin from "Point release nightlies" to "Bleeding edge nightlies" on it's options page under Tools ... Beta Testing.

    http://wordpress.org/extend/plugins/wordpress-beta-tester/screenshots/

    By default the plugin stays on the development track for a point release rather than the main trunk

  3. Tevya
    Member
    Posted 4 years ago #

    Okay thanks. I guess I was thinking I could use the point release. I switched it and am good to go. Thanks.

  4. syncbox
    Member
    Posted 4 years ago #

    yep, me too. wp.syncbox.com

    same failure, same "not found" link on the "download manually" button

    2.8.4 install with only Revision Control installed (hate those revisions)

    But regarding the switch... this article by the plugin author

    http://westi.wordpress.com/2009/06/22/making-it-easy-to-be-a-wordpress-tester/

    doesn't indicate the problem or make any suggestion on what SHOULD be done, except it seems to suggest using the stable releases...

  5. @syncbox: The issue is that there is no current development build for the point release nightlies stream but the plugin still offers you an upgrade link.

    I am about to push out a new build of the plugin v0.6 which fixes this issue by validating the download link is not a 404 and if it is will revert the upgrade code to the default one you would get for your WordPress version.

  6. v0.6 of the plugin is now live with the fix for this included.

Topic Closed

This topic has been closed to new replies.

About this Topic